## PBM Get Capabilities request PBM Get Capabilities request |

## Functions

QmiMessagePbmGetCapabilitiesInput * | qmi_message_pbm_get_capabilities_input_new ()
QmiMessagePbmGetCapabilitiesInput * | qmi_message_pbm_get_capabilities_input_ref ()
void | qmi_message_pbm_get_capabilities_input_unref ()
gboolean | qmi_message_pbm_get_capabilities_input_get_phonebook_information ()
gboolean | qmi_message_pbm_get_capabilities_input_set_phonebook_information ()
QmiMessagePbmGetCapabilitiesOutput * | qmi_message_pbm_get_capabilities_output_ref ()
void | qmi_message_pbm_get_capabilities_output_unref ()
gboolean | qmi_message_pbm_get_capabilities_output_get_result ()
gboolean | qmi_message_pbm_get_capabilities_output_get_capability_basic_information ()
gboolean | qmi_message_pbm_get_capabilities_output_get_group_capability ()
gboolean | qmi_message_pbm_get_capabilities_output_get_additional_number_capability ()
gboolean | qmi_message_pbm_get_capabilities_output_get_email_capability ()
gboolean | qmi_message_pbm_get_capabilities_output_get_second_name_capability ()
gboolean | qmi_message_pbm_get_capabilities_output_get_hidden_records_capability ()
gboolean | qmi_message_pbm_get_capabilities_output_get_grouping_information_alpha_string_capability ()
gboolean | qmi_message_pbm_get_capabilities_output_get_additional_number_alpha_string_capability ()
void | qmi_client_pbm_get_capabilities ()
QmiMessagePbmGetCapabilitiesOutput * | qmi_client_pbm_get_capabilities_finish ()

## Types and Values

| QmiMessagePbmGetCapabilitiesInput
| QmiMessagePbmGetCapabilitiesOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessagePbmGetCapabilitiesInput
        ╰── QmiMessagePbmGetCapabilitiesOutput

## Description

## Functions

### qmi_message_pbm_get_capabilities_input_new ()

    QmiMessagePbmGetCapabilitiesInput *
    qmi_message_pbm_get_capabilities_input_new
                                   (void);

Allocates a new QmiMessagePbmGetCapabilitiesInput.

#### Returns

the newly created QmiMessagePbmGetCapabilitiesInput. The returned value should be freed with `qmi_message_pbm_get_capabilities_input_unref()`.

Since: 1.6

### qmi_message_pbm_get_capabilities_input_ref ()

    QmiMessagePbmGetCapabilitiesInput *
    qmi_message_pbm_get_capabilities_input_ref
                                   (QmiMessagePbmGetCapabilitiesInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePbmGetCapabilitiesInput. |

#### Returns

the new reference to `self` .

Since: 1.6

### qmi_message_pbm_get_capabilities_input_unref ()

    void
    qmi_message_pbm_get_capabilities_input_unref
                                   (QmiMessagePbmGetCapabilitiesInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePbmGetCapabilitiesInput. |

Since: 1.6

### qmi_message_pbm_get_capabilities_input_get_phonebook_information ()

    gboolean
    qmi_message_pbm_get_capabilities_input_get_phonebook_information
                                   (QmiMessagePbmGetCapabilitiesInput *self,
                                    QmiPbmSessionType *value_phonebook_information_session_type,
                                    QmiPbmPhonebookType *value_phonebook_information_phonebook_type,
                                    GError **error);

Get the 'Phonebook Information' field from `self` .

#### Parameters

self | a QmiMessagePbmGetCapabilitiesInput. |
value_phonebook_information_session_type | a placeholder for the output QmiPbmSessionType, or `NULL` if not required. | [out][optional]
value_phonebook_information_phonebook_type | a placeholder for the output QmiPbmPhonebookType, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_message_pbm_get_capabilities_input_set_phonebook_information ()

    gboolean
    qmi_message_pbm_get_capabilities_input_set_phonebook_information
                                   (QmiMessagePbmGetCapabilitiesInput *self,
                                    QmiPbmSessionType value_phonebook_information_session_type,
                                    QmiPbmPhonebookType value_phonebook_information_phonebook_type,
                                    GError **error);

Set the 'Phonebook Information' field in the message.

#### Parameters

self | a QmiMessagePbmGetCapabilitiesInput. |
value_phonebook_information_session_type | a QmiPbmSessionType. |
value_phonebook_information_phonebook_type | a QmiPbmPhonebookType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_message_pbm_get_capabilities_output_ref ()

    QmiMessagePbmGetCapabilitiesOutput *
    qmi_message_pbm_get_capabilities_output_ref
                                   (QmiMessagePbmGetCapabilitiesOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePbmGetCapabilitiesOutput. |

#### Returns

the new reference to `self` .

Since: 1.6

### qmi_message_pbm_get_capabilities_output_unref ()

    void
    qmi_message_pbm_get_capabilities_output_unref
                                   (QmiMessagePbmGetCapabilitiesOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePbmGetCapabilitiesOutput. |

Since: 1.6

### qmi_message_pbm_get_capabilities_output_get_result ()

    gboolean
    qmi_message_pbm_get_capabilities_output_get_result
                                   (QmiMessagePbmGetCapabilitiesOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessagePbmGetCapabilitiesOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.6

### qmi_message_pbm_get_capabilities_output_get_capability_basic_information ()

    gboolean
    qmi_message_pbm_get_capabilities_output_get_capability_basic_information
                                   (QmiMessagePbmGetCapabilitiesOutput *self,
                                    QmiPbmSessionType *value_capability_basic_information_session_type,
                                    QmiPbmPhonebookType *value_capability_basic_information_phonebook_type,
                                    guint16 *value_capability_basic_information_used_records,
                                    guint16 *value_capability_basic_information_maximum_records,
                                    guint8 *value_capability_basic_information_maximum_number_length,
                                    guint8 *value_capability_basic_information_maximum_name_length,
                                    GError **error);

Get the 'Capability Basic Information' field from `self` .

#### Parameters

self | a QmiMessagePbmGetCapabilitiesOutput. |
value_capability_basic_information_session_type | a placeholder for the output QmiPbmSessionType, or `NULL` if not required. | [out][optional]
value_capability_basic_information_phonebook_type | a placeholder for the output QmiPbmPhonebookType, or `NULL` if not required. | [out][optional]
value_capability_basic_information_used_records | a placeholder for the output guint16, or `NULL` if not required. | [out][optional]
value_capability_basic_information_maximum_records | a placeholder for the output guint16, or `NULL` if not required. | [out][optional]
value_capability_basic_information_maximum_number_length | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
value_capability_basic_information_maximum_name_length | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_message_pbm_get_capabilities_output_get_group_capability ()

    gboolean
    qmi_message_pbm_get_capabilities_output_get_group_capability
                                   (QmiMessagePbmGetCapabilitiesOutput *self,
                                    guint8 *value_group_capability_maximum_groups,
                                    guint8 *value_group_capability_maximum_group_tag_length,
                                    GError **error);

Get the 'Group Capability' field from `self` .

#### Parameters

self | a QmiMessagePbmGetCapabilitiesOutput. |
value_group_capability_maximum_groups | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
value_group_capability_maximum_group_tag_length | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_message_pbm_get_capabilities_output_get_additional_number_capability ()

    gboolean
    qmi_message_pbm_get_capabilities_output_get_additional_number_capability
                                   (QmiMessagePbmGetCapabilitiesOutput *self,
                                    guint8 *value_additional_number_capability_maximum_additional_numbers,
                                    guint8 *value_additional_number_capability_maximum_additional_number_length,
                                    guint8 *value_additional_number_capability_maximum_additional_number_tag_length,
                                    GError **error);

Get the 'Additional Number Capability' field from `self` .

#### Parameters

self | a QmiMessagePbmGetCapabilitiesOutput. |
value_additional_number_capability_maximum_additional_numbers | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
value_additional_number_capability_maximum_additional_number_length | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
value_additional_number_capability_maximum_additional_number_tag_length | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_message_pbm_get_capabilities_output_get_email_capability ()

    gboolean
    qmi_message_pbm_get_capabilities_output_get_email_capability
                                   (QmiMessagePbmGetCapabilitiesOutput *self,
                                    guint8 *value_email_capability_maximum_emails,
                                    guint8 *value_email_capability_maximum_email_address_length,
                                    GError **error);

Get the 'Email Capability' field from `self` .

#### Parameters

self | a QmiMessagePbmGetCapabilitiesOutput. |
value_email_capability_maximum_emails | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
value_email_capability_maximum_email_address_length | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_message_pbm_get_capabilities_output_get_second_name_capability ()

    gboolean
    qmi_message_pbm_get_capabilities_output_get_second_name_capability
                                   (QmiMessagePbmGetCapabilitiesOutput *self,
                                    guint8 *value_second_name_capability_maximum_second_name_length,
                                    GError **error);

Get the 'Second Name Capability' field from `self` .

#### Parameters

self | a QmiMessagePbmGetCapabilitiesOutput. |
value_second_name_capability_maximum_second_name_length | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_message_pbm_get_capabilities_output_get_hidden_records_capability ()

    gboolean
    qmi_message_pbm_get_capabilities_output_get_hidden_records_capability
                                   (QmiMessagePbmGetCapabilitiesOutput *self,
                                    gboolean *value_hidden_records_capability_supported,
                                    GError **error);

Get the 'Hidden Records Capability' field from `self` .

#### Parameters

self | a QmiMessagePbmGetCapabilitiesOutput. |
value_hidden_records_capability_supported | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_message_pbm_get_capabilities_output_get_grouping_information_alpha_string_capability ()

    gboolean
    qmi_message_pbm_get_capabilities_output_get_grouping_information_alpha_string_capability
                                   (QmiMessagePbmGetCapabilitiesOutput *self,
                                    guint8 *value_grouping_information_alpha_string_capability_maximum_records,
                                    guint8 *value_grouping_information_alpha_string_capability_used_records,
                                    guint8 *value_grouping_information_alpha_string_capability_maximum_string_length,
                                    GError **error);

Get the 'Grouping Information Alpha String Capability' field from `self` .

#### Parameters

self | a QmiMessagePbmGetCapabilitiesOutput. |
value_grouping_information_alpha_string_capability_maximum_records | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
value_grouping_information_alpha_string_capability_used_records | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
value_grouping_information_alpha_string_capability_maximum_string_length | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_message_pbm_get_capabilities_output_get_additional_number_alpha_string_capability ()

    gboolean
    qmi_message_pbm_get_capabilities_output_get_additional_number_alpha_string_capability
                                   (QmiMessagePbmGetCapabilitiesOutput *self,
                                    guint8 *value_additional_number_alpha_string_capability_maximum_records,
                                    guint8 *value_additional_number_alpha_string_capability_used_records,
                                    guint8 *value_additional_number_alpha_string_capability_maximum_string_length,
                                    GError **error);

Get the 'Additional Number Alpha String Capability' field from `self` .

#### Parameters

self | a QmiMessagePbmGetCapabilitiesOutput. |
value_additional_number_alpha_string_capability_maximum_records | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
value_additional_number_alpha_string_capability_used_records | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
value_additional_number_alpha_string_capability_maximum_string_length | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_client_pbm_get_capabilities ()

    void
    qmi_client_pbm_get_capabilities (QmiClientPbm *self,
                                     QmiMessagePbmGetCapabilitiesInput *input,
                                     guint timeout,
                                     GCancellable *cancellable,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

Asynchronously sends a Get Capabilities request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_pbm_get_capabilities_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientPbm. |
input | a QmiMessagePbmGetCapabilitiesInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.6

### qmi_client_pbm_get_capabilities_finish ()

    QmiMessagePbmGetCapabilitiesOutput *
    qmi_client_pbm_get_capabilities_finish
                                   (QmiClientPbm *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_pbm_get_capabilities()`.

#### Parameters

self | a QmiClientPbm. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_pbm_get_capabilities()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessagePbmGetCapabilitiesOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_pbm_get_capabilities_output_unref()`.

Since: 1.6

## Types and Values

### QmiMessagePbmGetCapabilitiesInput

    typedef struct _QmiMessagePbmGetCapabilitiesInput QmiMessagePbmGetCapabilitiesInput;

The QmiMessagePbmGetCapabilitiesInput structure contains private data and should only be accessed using the provided API.

Since: 1.6

### QmiMessagePbmGetCapabilitiesOutput

    typedef struct _QmiMessagePbmGetCapabilitiesOutput QmiMessagePbmGetCapabilitiesOutput;

The QmiMessagePbmGetCapabilitiesOutput structure contains private data and should only be accessed using the provided API.

Since: 1.6